/// <reference types="react" />
import { MentionData } from '@draft-js-plugins/mention';
import { IClassNameProps, INote } from '../../../@types';
import { IPrioritySelectorProps } from '../../components/priority-selector/PrioritySelector';
export interface IAddNoteProps extends IClassNameProps {
    /**
     * Clear editor on submit
     */
    clearOnSubmit?: boolean;
    /**
     * Whether to enable Mentions feature
     */
    enableMentions?: boolean;
    /**
     * Defines note object
     */
    note?: INote;
    /**
     * Defines cancel button click event
     */
    onCancel?: () => void;
    /**
     * Defines submit button click event
     */
    onSubmit: (note: INote) => void;
    /**
     * Defines placeholder
     */
    placeholder?: string;
    /**
     * Defines Priority Selector component props
     */
    prioritySelectorProps?: Partial<IPrioritySelectorProps>;
    /**
     * Defines to show or hide cancel button
     */
    showCancel?: boolean;
    /**
     * Defines list of users to be displayed in popup
     */
    users?: MentionData[];
}
export declare function AddNotes({ className, clearOnSubmit, enableMentions, note, onCancel, onSubmit, placeholder, prioritySelectorProps, showCancel, users, ...other }: IAddNoteProps): JSX.Element;
//# sourceMappingURL=AddNotes.d.ts.map